Page MenuHomePhabricator

Add support for OR in the hastemplate keyword using |
Closed, ResolvedPublic

Description

The search does not allow ORing random search keywords. To workaroung this limitation we rely on the keyword itself to support parsing multiple values separated with |.
Like incategory hastemplate should support | allowing searcher to find pages that belong either one the templates mentioned.

Example:
hastemplate:Tmpl1|Tmpl2

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd support OR in hastemplate

Event Timeline

dcausse created this task.Sep 5 2019, 9:02 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptSep 5 2019, 9:02 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald Transcript
debt triaged this task as Medium priority.Sep 5 2019, 5:35 PM

Change 535137 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add support OR in hastemplate

https://gerrit.wikimedia.org/r/535137

dcausse claimed this task.Sep 9 2019, 9:58 AM
dcausse moved this task from In Progress to Needs review on the Discovery-Search (Current work) board.

Change 535137 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add support OR in hastemplate

https://gerrit.wikimedia.org/r/535137

debt closed this task as Resolved.Sep 30 2019, 4:22 PM